Bug 603566 - [abrt] crash in get_permissions_cb()
[abrt] crash in get_permissions_cb()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:74d448e22426bedac1cf6b26c1e...
: Reopened
: 544175 573208 577000 610760 613206 613486 618590 621869 621873 621952 622006 622146 622153 622288 622339 622783 622795 622954 623013 623048 623623 623784 623821 623936 624157 624627 624867 625823 626100 626104 (view as bug list)
Depends On:
Blocks: 614057
  Show dependency treegraph
 
Reported: 2010-06-13 17:49 EDT by Doncho N. Gunchev
Modified: 2010-09-26 00:34 EDT (History)
57 users (show)

See Also:
Fixed In Version: NetworkManager-0.8.1-4.git20100817.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 614057 (view as bug list)
Environment:
Last Closed: 2010-08-23 18:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.29 KB, text/plain)
2010-06-13 17:49 EDT, Doncho N. Gunchev
no flags Details

  None (edit)
Description Doncho N. Gunchev 2010-06-13 17:49:16 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/nm-connection-editor --type vpn
component: NetworkManager
crash_function: get_permissions_cb
executable: /usr/bin/nm-connection-editor
global_uuid: 74d448e22426bedac1cf6b26c1ee094011b105c5
kernel: 2.6.33.5-112.fc13.i686
package: NetworkManager-gnome-1:0.8.1-0.1.git20100510.fc13
rating: 4
reason: Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Left-click NM
2. Go to VPN Connections->Configure VPN
3. Before the list of VPN connections has been displayed prexx [x] (the close button)
Comment 1 Doncho N. Gunchev 2010-06-13 17:49:18 EDT
Created attachment 423695 [details]
File: backtrace
Comment 2 Dan Williams 2010-06-28 17:04:33 EDT
in ce-polkit-button.c we should allocate a structure that contains a pointer to the CEPolkitButton object and a boolean 'disposed' variable, and add that structure to a GSList in the private data of the CEPolkitButton, and pass that structure as the user data to nm_settings_system_interface_get_permissions().  Then in get_permissions_cb() we check the disposed member of that structure (which gets passed in as user data) and if it's disposed, we free the structure and return.  If it's not disposed, process as normal, remove the structure from priv->permissions_calls GSList, and free the structure.  In the CEPolkitButton dispose/finalize handler, run through the GSList of these structures and set 'disposed' to TRUE for each one (but *don't* free the structures since that has to happen in get_permissions_cb()).
Comment 3 Dan Williams 2010-06-28 19:07:34 EDT
*** Bug 577000 has been marked as a duplicate of this bug. ***
Comment 4 Dan Williams 2010-06-28 19:19:02 EDT
*** Bug 573208 has been marked as a duplicate of this bug. ***
Comment 5 Dan Williams 2010-06-28 19:34:28 EDT
Upstream fix:

5978047977a17f35d9a3961023143506a73899f8 (master)
0d9a1ec1baa734187d1521ff213c11ddf6dcb3b1 (0.8.1)
Comment 6 Jirka Klimes 2010-07-07 12:01:12 EDT
(In reply to comment #5)
> Upstream fix:
> 
> 5978047977a17f35d9a3961023143506a73899f8 (master)
> 0d9a1ec1baa734187d1521ff213c11ddf6dcb3b1 (0.8.1)    

These fixes missed adding the PermInfo structure to the GSlist in CEPolkitButton
priv data. That causes a crash when changing a system connection.

Corrected upstream fix:
9737403b155d303cffbd08fe4a84c510ac995c8b (master)
d1ed64f36588c953025972b73677a6c3af2d178f (0.8.1)

Nevertheless, I think the code is still not completely correct and needs deeper inspection.
The corrections try to prevent usage of disposed object in get_permissions_cb() and it works using 'info->disposed' flag. However, the issue is that get_permissions() is called even after finalize() and thus the CEPolkitButton object is officially 'dead' and should not be used any more.
Another doubt, do we need a perm_calls GSList at all?
Comment 7 Dan Williams 2010-07-12 18:06:51 EDT
*** Bug 610760 has been marked as a duplicate of this bug. ***
Comment 8 Dan Williams 2010-07-12 18:12:28 EDT
*** Bug 613486 has been marked as a duplicate of this bug. ***
Comment 9 Vladimir Benes 2010-07-13 11:32:04 EDT
Package: NetworkManager-gnome-1:0.8.1-2.el6
Architecture: x86_64
OS Release: Red Hat Enterprise Linux Server release 6.0 Beta (Santiago)


How to reproduce
-----
1.I've created wpa network via nm-applet -> create new wireless network
2.while it was connecting I went into nm-c-e and edited the profile to add available to other users
3.entering root password - > crash
Comment 10 Dan Williams 2010-07-20 16:21:41 EDT
*** Bug 613206 has been marked as a duplicate of this bug. ***
Comment 11 Fedora Update System 2010-07-22 12:36:31 EDT
NetworkManager-0.8.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-1.fc13
Comment 12 Fedora Update System 2010-07-22 12:39:53 EDT
NetworkManager-0.8.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-1.fc12
Comment 13 Fedora Update System 2010-07-22 22:43:52 EDT
NetworkManager-0.8.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-1.fc13
Comment 14 Gordon Ewasiuk 2010-07-22 22:47:49 EDT
Package: NetworkManager-gnome-1:0.8.1-2.el6
Architecture: x86_64
OS Release: Red Hat Enterprise Linux Workstation release 6.0 Beta (Santiago)


How to reproduce
-----
1.Add new SSH connection to dolphin
2.
3.


Comment
-----
Was adding a new network folder in Dolphin.  Attempts to add the remote folder failed multiple times
due to a DNS issue.  After fixing that, the attempt still failed and the app crashed.  Upon restart
of the dolphin, I was able to access the network folder without error or without another crash.
Comment 15 Jirka Klimes 2010-07-23 02:47:09 EDT
(In reply to comment #14)
> Package: NetworkManager-gnome-1:0.8.1-2.el6
> Architecture: x86_64
> OS Release: Red Hat Enterprise Linux Workstation release 6.0 Beta (Santiago)
> 
> 
> How to reproduce
> -----
> 1.Add new SSH connection to dolphin
> 2.
> 3.
> 

What does that have in common with this bug??
Comment 16 Fedora Update System 2010-07-26 22:34:19 EDT
NetworkManager-0.8.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Jirka Klimes 2010-07-30 09:03:31 EDT
The d1ed64f36588c953025972b73677a6c3af2d178f (0.8.1) commit actually didn't exist.

This results that NetworkManager-gnome-0.8.1-1.fc13, doesn't contain the fix and nm-connection-editor crashes. Sorry, mea culpa.

I've cherry-picked the change to NMA_0_8_1 branch (even if now NMA_0_8 is used).

Summary of commits:
master:
http://git.gnome.org/browse/network-manager-applet/commit/?id=9737403b155d303cffbd08fe4a84c510ac995c8b
NMA_0_8:
http://git.gnome.org/browse/network-manager-applet/commit/?h=NMA_0_8&id=9737403b155d303cffbd08fe4a84c510ac995c8b
NMA_0_8_1:
http://git.gnome.org/browse/network-manager-applet/commit/?h=NMA_0_8_1&id=003ea1ea91ac172d128d3b1832fcae0a7b7dcfab
Comment 18 Gordan Bobic 2010-08-03 12:00:59 EDT
If this was fixed in NetworkManager-0.8.1-1.fc13 then how come it is still occurring in NetworkManager-0.8.1-2.el6?
Comment 19 Jirka Klimes 2010-08-03 12:17:38 EDT
Actually, it's *not* fixed in NetworkManager-0.8.1-1.fc13, see comment #17.
As far as RHEL6 is concerned, the fix *is* present in NetworkManager-0.8.1-3.el6
Comment 20 Michal Nowak 2010-08-04 02:56:28 EDT
Unfixed. Reopening.
Comment 21 Gary Spencer 2010-08-07 08:00:13 EDT
Package: NetworkManager-gnome-1:0.8.1-2.el6
Architecture: i686
OS Release: Red Hat Enterprise Linux Workstation release 6.0 Beta (Santiago)


Comment
-----
after a clean installation of rhel 6 workstation beta 2, following the initial reboot I activated the network and the core was generated.

rhel6beta2 is installed as a virtual client in vmware running on windows 7 host
Comment 22 Dan Williams 2010-08-13 01:57:58 EDT
*** Bug 618590 has been marked as a duplicate of this bug. ***
Comment 23 Dan Williams 2010-08-13 01:58:07 EDT
*** Bug 621869 has been marked as a duplicate of this bug. ***
Comment 24 Dan Williams 2010-08-13 01:58:32 EDT
*** Bug 621873 has been marked as a duplicate of this bug. ***
Comment 25 Dan Williams 2010-08-13 01:58:40 EDT
*** Bug 621952 has been marked as a duplicate of this bug. ***
Comment 26 Dan Williams 2010-08-13 01:58:49 EDT
*** Bug 622006 has been marked as a duplicate of this bug. ***
Comment 27 Dan Williams 2010-08-13 01:58:59 EDT
*** Bug 622146 has been marked as a duplicate of this bug. ***
Comment 28 Dan Williams 2010-08-13 01:59:09 EDT
*** Bug 622153 has been marked as a duplicate of this bug. ***
Comment 29 Dan Williams 2010-08-13 01:59:18 EDT
*** Bug 622288 has been marked as a duplicate of this bug. ***
Comment 30 Dan Williams 2010-08-13 01:59:27 EDT
*** Bug 622339 has been marked as a duplicate of this bug. ***
Comment 31 Dan Williams 2010-08-13 01:59:35 EDT
*** Bug 622783 has been marked as a duplicate of this bug. ***
Comment 32 Erik Berg 2010-08-13 02:23:55 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Enable "connect automatically" on System eth0 connection
2. Click ok.
3. crash.
Comment 33 zaterio 2010-08-13 08:14:49 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Change etho settings from manual to dhcp
2.
3.
Comment 34 Filip Šalda 2010-08-13 11:53:25 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. tried to save changes on eth0
2.
3.
Comment 35 Tore Anderson 2010-08-13 12:59:53 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I was editing the eth0 profile in order to switch between static IPv4 assignment and DHCP.
Comment 36 Dan Williams 2010-08-13 13:31:20 EDT
*** Bug 623784 has been marked as a duplicate of this bug. ***
Comment 37 Dan Williams 2010-08-13 13:31:28 EDT
*** Bug 623623 has been marked as a duplicate of this bug. ***
Comment 38 Dan Williams 2010-08-13 13:31:35 EDT
*** Bug 623048 has been marked as a duplicate of this bug. ***
Comment 39 Dan Williams 2010-08-13 13:31:46 EDT
*** Bug 623013 has been marked as a duplicate of this bug. ***
Comment 40 Dan Williams 2010-08-13 13:31:56 EDT
*** Bug 623936 has been marked as a duplicate of this bug. ***
Comment 41 Dan Williams 2010-08-13 13:32:05 EDT
*** Bug 622954 has been marked as a duplicate of this bug. ***
Comment 42 Dan Williams 2010-08-13 13:32:12 EDT
*** Bug 623821 has been marked as a duplicate of this bug. ***
Comment 43 Dan Williams 2010-08-13 13:33:48 EDT
Fixes for this are coming, for example:

http://koji.fedoraproject.org/koji/buildinfo?buildID=190062 (f14)
http://koji.fedoraproject.org/koji/buildinfo?buildID=190055 (f13)
http://koji.fedoraproject.org/koji/buildinfo?buildID=190056 (f12)

but we need to do another rebuild to fix a dbus-glib security issue.  In the mean time feel free to use the above packages.
Comment 44 Dan Williams 2010-08-13 19:23:21 EDT
*** Bug 624157 has been marked as a duplicate of this bug. ***
Comment 45 Kamil Páral 2010-08-16 10:42:55 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Branched)


How to reproduce
-----
1. Edited 'System eth0' in connection editor, set it to connect automatically
2. Closed connection editor, NM started to connect to eth0
3. Right after that ABRT reported this crash, but NM seems to be working fine (I'm connected)
Comment 46 Dan Williams 2010-08-17 11:58:05 EDT
*** Bug 624627 has been marked as a duplicate of this bug. ***
Comment 47 Dan Williams 2010-08-17 12:44:08 EDT
*** Bug 544175 has been marked as a duplicate of this bug. ***
Comment 48 Fedora Update System 2010-08-17 13:10:47 EDT
NetworkManager-0.8.1-4.git20100817.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc12
Comment 49 Fedora Update System 2010-08-17 13:12:32 EDT
NetworkManager-0.8.1-4.git20100817.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc13
Comment 50 Fedora Update System 2010-08-17 13:14:24 EDT
NetworkManager-0.8.1-4.git20100817.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc14
Comment 51 postaljapan 2010-08-17 18:01:08 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Occurred after setting the eth0 connection to a static IP addr instead of auto.
Comment 52 Jurgen Kramer 2010-08-18 14:32:34 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Branched)


How to reproduce
-----
1.
2.
3.

recreated this bug for bug #623434
Comment 53 Adam Royal 2010-08-18 18:59:41 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Change eth0 from DHCP to DHCP address only
2. Add DNS servers
3. Apply
Comment 54 Steven Noonan 2010-08-19 02:33:57 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I opened Network Manager and configured the Ethernet interface to use IPv6 on the 'Automatic' setting. Then clicked 'OK'. When I did, the crash happened as the network interface was reset.
Comment 55 gb 2010-08-19 02:50:50 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.attempt to  edit the the network interface while it is active
2.
3.


Comment
-----
attempt to edit the network interface while it is active
Comment 56 Fedora Update System 2010-08-19 16:32:56 EDT
NetworkManager-0.8.1-5.git20100818.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-5.git20100818.fc14
Comment 57 Fedora Update System 2010-08-19 22:14:00 EDT
NetworkManager-0.8.1-4.git20100817.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc13
Comment 58 Dan Williams 2010-08-20 15:21:22 EDT
*** Bug 624867 has been marked as a duplicate of this bug. ***
Comment 59 Dan Williams 2010-08-20 15:21:30 EDT
*** Bug 625823 has been marked as a duplicate of this bug. ***
Comment 60 Reza Heidari 2010-08-21 07:50:08 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.edit connections..
2.wired ->eth0 ->edit
3.ipv4
4.set new gateway
5.apply & root password
6.Crash
Comment 61 stefan.thormar 2010-08-21 08:17:59 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Edit network connections in any way and it fails and generates the error
2.
3.


Comment
-----
I am using network manager currently, but even if I don't, I am prohibited from editing the connections by this error.
Comment 62 Andy Lawrence 2010-08-21 18:02:35 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Crash happened just after setting a static IP from within NM and hitting the OK button
2.  I frequently set a static IP and this does not normally happen, so not always reproducable.
Comment 63 Gurvan 2010-08-21 18:19:34 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Change settings for wireless mode
2. validate (root passeword needed)
3. then it crashed
Comment 64 Allen Zhu 2010-08-21 22:24:05 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Network Connections. (System -> Preferences -> Network Connections)
2. Goto the VPN Tab and proceed to add a Point-to-Point Tunneling Protocol (PPTP) VPN Connection.
3. Fill out the needed information.
4. Check the box Available to all users and click Apply.
5. Type in the root password.
6. A dialog box with only a Close button pops up:

Connection add failed
Saving connection failed: (0) Can't write connection type 'vpn'
7. Clicking Close causes this crash with ABRT detecting it.

Comment
-----
All the information needed is listed above. I attempted to add a PPTP VPN using the gateway ukfree.hideipvpn.com.
Comment 65 Gerhard 2010-08-22 18:55:27 EDT
(In reply to comment #49)
> NetworkManager-0.8.1-4.git20100817.fc13 has been submitted as an update for
> Fedora 13.
> http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc13

Tried to delete, recreate and modify all used devices.
Everything (LAN, WLAN & Broadband) works fine now.

Thx a lot! ;-)
Comment 66 Rocco 2010-08-22 23:19:36 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Changed DHCP connection to Manual...
Comment 67 Jirka Klimes 2010-08-23 04:02:22 EDT
*** Bug 626104 has been marked as a duplicate of this bug. ***
Comment 68 Jirka Klimes 2010-08-23 04:05:25 EDT
*** Bug 626100 has been marked as a duplicate of this bug. ***
Comment 69 nomnex 2010-08-23 06:37:35 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Changed DNS setting on NAT Router
2. eth0 was disconnected
3. confirmed eth0 setting in the Network Connection applet
4. Crash report generated


Comment
-----
After changing DNS server setting in my router the eth0 was disconnected. I confirmed the settings in network connection applet. During the automatic reconnection, a crash occured and the ABRT generated an automatic bug report.
Comment 70 tuldok89 2010-08-23 09:40:26 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Right-click NetworkManager Applet 0.8.1
2. Click edit connections
3. Edit the network connection info
4. Click the IPv4 tab
5. Change the method to Automatic (DHCP) Addresses only
6. Add DNS Server, then OK
7. Crash

Comment
-----
Always happens everytime I edit the connection settings
Comment 71 Raphael Groner 2010-08-23 14:26:40 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. set a static ip address
2. click on apply button
3.
Comment 72 Andres Rios 2010-08-23 15:44:15 EDT
Package: NetworkManager-gnome-1:0.8.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Made last update
2.if wireless is working and plug ethernet then
3.crash report


Comment
-----
If connect eth0 when wlan0 is working already then network manager becomes crazy switching from one connection to other.
If shut down wireless then ethernet stops working. If unplug ethernet and switch on wireless then all works normally.
Comment 73 Fedora Update System 2010-08-23 18:05:27 EDT
NetworkManager-0.8.1-4.git20100817.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 74 Fedora Update System 2010-08-23 21:20:33 EDT
NetworkManager-0.8.1-5.git20100818.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 75 Jirka Klimes 2010-08-24 03:15:43 EDT
*** Bug 622795 has been marked as a duplicate of this bug. ***
Comment 76 Fedora Update System 2010-08-31 21:26:16 EDT
NetworkManager-0.8.1-6.git20100831.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.1-6.git20100831.fc13
Comment 77 Fedora Update System 2010-08-31 21:43:17 EDT
NetworkManager-0.8.1-6.git20100831.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.1-6.git20100831.fc12
Comment 78 Fedora Update System 2010-09-26 00:34:53 EDT
NetworkManager-0.8.1-6.git20100831.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.